/*-----------------------------------------------------*/
/*--	Micro-EMPIX UART Drivers (Low)(UARTLow.h)     -*/
/*--    Ver 1.0 (c) 2004                              -*/
/*--	E             -*/
/*--    ==================================            -*/
/*--    .                  -*/
/*--    .                        -*/
/*--    ..                       -*/
/*-----------------------------------------------------*/

extern void UnSetControlBit(int baseport);
extern void SetControlBit(int baseport);
extern void SetBaudRate(int baseport, BAUD_RATE brate);
extern void SetWordLength(int baseport);
extern void ClearLSR_MSR_IIR(int baseport);
extern void ClearAndEnableFIFO(int baseport, unsigned char chh);
extern void NrOfCharsBefReadIRQ(int baseport, unsigned char chh);
extern void IER_Enable(int baseport, unsigned char IR_Byte);
extern void MCR_Enable(int baseport);
extern void IER_Disable(int baseport);
extern void interrupt InterruptHandlerForCOM1();
extern void interrupt InterruptHandlerForCOM2();
extern void SER_InitializePort(SER_PORT portnum, BAUD_RATE brate, const unsigned char HWDFlowControl, struct IrqConf *actions);
extern int SER_WriteChar(SER_PORT portnum, char WriteCh);
extern int SER_ReadChar(SER_PORT portnum, char *ReadCh);
extern int InterruptReason(SER_PORT port);
